<template>
	<div class="card-body">
		<div class="cols-no-gap c-1-0">
			<input ref="searchInput" v-model="searchTerm" @keypress.enter="commitSearch" type="text" class="input" placeholder="Suchbegriff eingeben" />
			<button @click="commitSearch" type="submit" class="button">Suchen</button>
		</div>
	</div>
</template>

<script>
export default {
	name: "SearchBar",
	props: {
		term: String
	},
	data: () => ({
		searchTerm: ""
	}),
	methods: {
		commitSearch() {
			if (
				this.searchTerm
				&& this.searchTerm.trim() !== ""
				&& this.searchTerm !== this.term
			) {
				this.$router.push("/search/" + this.searchTerm)
			}
		}
	},
	mounted() {
		if (this.term) {
			this.searchTerm = this.term;
		}
		if (!window.matchMedia("(pointer: coarse)").matches) {
			this.$refs.searchInput.focus();
		}
	}
}
</script>

<style scoped>

</style>